libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
MSN::fileTransferInvite Struct Reference

`#include <util.h>`

List of all members.

## Public Attributes
int | type
unsigned int | sessionId
std::string | userPassport
std::string | filename
std::string | friendlyname
std::string | preview
unsigned long long | filesize

## Detailed Description

Represents a file transfer request

## Member Data Documentation

std::string MSN::fileTransferInvite::filename

name the file to receive, or the path of the file to send

unsigned long long MSN::fileTransferInvite::filesize

size of the file to send or receive

std::string MSN::fileTransferInvite::friendlyname

suggested name <- required when sending a file

std::string MSN::fileTransferInvite::preview

base64 encoded 96x96 png file, if applicable

unsigned int MSN::fileTransferInvite::sessionId

Id of this session

int MSN::fileTransferInvite::type

0 = no preview, 1 = has preview, 4 = background sharing

std::string MSN::fileTransferInvite::userPassport

passport of the origin or the destination

The documentation for this struct was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/util.h

All Classes Namespaces Functions Variables Enumerations Enumerator